> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Data Provider Registrations

> Use the POST /api/v1/recipients/providers/requests/{recipient_ids}/{provider_ids} endpoint to submit a request to Flinks to connect Data Recipients with Data Providers. Flinks will evaluate the request and approve the registrations.

Use the POST `/api/v1/recipients/providers/requests/{recipient_ids}/{provider_ids}` endpoint to submit a request to Flinks to connect Data Recipients with Data Providers. Flinks will evaluate the request and approve the registrations.

To successfully call this endpoint, you must first call the [/Token](/api/outbound/endpoints/authorize/token) endpoint to obtain a valid `access_token` using the following settings:

* grant\_type: `client_credentials`
* client\_id: `{partner client_id}`
* client\_secret: `{partner client_secret}`
* scope: `client:admin`


## OpenAPI

````yaml /openapi-outbound.yaml POST /api/v1/recipients/providers/requests/{recipient_ids}/{provider_ids}
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://ob.flinksapp.com
    description: Flinks Outbound Production
security:
  - BearerAuth: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
paths:
  /api/v1/recipients/providers/requests/{recipient_ids}/{provider_ids}:
    post:
      tags:
        - Outbound
      summary: Request Data Provider Registrations
      description: >-
        Use the POST
        /api/v1/recipients/providers/requests/{recipient_ids}/{provider_ids}
        endpoint to submit a request to Flinks to connect Data Recipients with
        Data Providers. Flinks will evaluate the request and approve the
        registrations.
      operationId: requestDataProviderRegistrations
      parameters:
        - name: recipient_ids
          in: path
          required: true
          description: The IDs of Data Recipients who you want to request registration for.
          schema:
            type: array
            items:
              type: string
        - name: provider_ids
          in: path
          required: true
          description: >-
            The IDs of Data Providers who you want to include in the
            registration.
          schema:
            type: array
            items:
              type: string
      responses:
        '400':
          description: Client Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Invalid request parameters
        '401':
          description: Unauthorized - Expired or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Invalid Bearer Token
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Internal Server Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token obtained from the /Token endpoint.

````